# SDL Visual Test: SDLVisualTest_RWHelperBuffer Struct Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
SDLVisualTest_RWHelperBuffer Struct Reference

`#include <SDL_visualtest_rwhelper.h>`

## Data Fields

char | buffer [RWOPS_BUFFER_LEN]
int | buffer_pos
int | buffer_width

## Detailed Description

Struct that is used as a buffer by the RW helper functions. Should be initialized by calling SDLVisualTest_RWHelperResetBuffer() before being used.

## Field Documentation

char buffer[RWOPS_BUFFER_LEN]

Character buffer that data is read into

int buffer_pos

buffer[buffer_pos] is the next character to be read from the buffer

int buffer_width

Number of character read into the buffer

The documentation for this struct was generated from the following file:

- C:/Users/DELL/Work/sdlvisualtest/visualtest/include/SDL_visualtest_rwhelper.h